VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsIDCPhaser"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private m_objIDCPhaser As IDCPhaser

Public Property Get Object() As IDCPhaser
    Set Object = m_objIDCPhaser
End Property

Public Property Set Object(ByRef objIDCPhaser As IDCPhaser)
    Set m_objIDCPhaser = objIDCPhaser
End Property

Public Property Get Enabled() As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCPhaser.get_Enabled(lngReturn)
    Enabled = (lngReturn <> CLng(0))
End Property

Public Property Let Enabled(ByVal aEnabled As Boolean)
    Call m_objIDCPhaser.set_Enabled(IIf(aEnabled, CLng(-1), CLng(0)))
End Property

Public Property Get Separate() As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCPhaser.get_Seperate(lngReturn)
    Separate = (lngReturn <> CLng(0))
End Property

Public Property Let Separate(ByVal aSeperate As Boolean)
    Call m_objIDCPhaser.set_Seperate(IIf(aSeperate, CLng(-1), CLng(0)))
End Property

Public Property Get DryWetRatio(ByVal aChannel As Byte) As Byte
    Dim bytReturn As Byte
    
    Call m_objIDCPhaser.get_DryWetRatio(aChannel, bytReturn)
    DryWetRatio = bytReturn
End Property

Public Property Let DryWetRatio(ByVal aChannel As Byte, aDryWetRatio As Byte)
    Call m_objIDCPhaser.set_DryWetRatio(aChannel, aDryWetRatio)
End Property

Public Property Get Feedback(ByVal aChannel As Byte) As Byte
    Dim bytReturn As Byte
    
    Call m_objIDCPhaser.get_Feedback(aChannel, bytReturn)
    Feedback = bytReturn
End Property

Public Property Let Feedback(ByVal aChannel As Byte, aFeedback As Byte)
    Call m_objIDCPhaser.set_Feedback(aChannel, aFeedback)
End Property

Public Property Get Stages(ByVal aChannel As Byte) As Byte
    Dim bytReturn As Byte
    
    Call m_objIDCPhaser.get_Stages(aChannel, bytReturn)
    Stages = bytReturn
End Property

Public Property Let Stages(ByVal aChannel As Byte, aStages As Byte)
    Call m_objIDCPhaser.set_Stages(aChannel, aStages)
End Property

Public Property Get Depth(ByVal aChannel As Byte) As Byte
    Dim bytReturn As Byte
    
    Call m_objIDCPhaser.get_Depth(aChannel, bytReturn)
    Depth = bytReturn
End Property

Public Property Let Depth(ByVal aChannel As Byte, aDepth As Byte)
    Call m_objIDCPhaser.set_Depth(aChannel, aDepth)
End Property

Public Property Get StartPhase(ByVal aChannel As Byte) As Single
    Dim sngReturn As Single
    
    Call m_objIDCPhaser.get_StartPhase(aChannel, sngReturn)
    StartPhase = sngReturn
End Property

Public Property Let StartPhase(ByVal aChannel As Byte, aStartPhase As Single)
    Call m_objIDCPhaser.set_StartPhase(aChannel, aStartPhase)
End Property

Public Property Get Frequency(ByVal aChannel As Byte) As Single
    Dim sngReturn As Single
    
    Call m_objIDCPhaser.get_Frequency(aChannel, sngReturn)
    Frequency = sngReturn
End Property

Public Property Let Frequency(ByVal aChannel As Byte, aFrequency As Single)
    Call m_objIDCPhaser.set_Frequency(aChannel, aFrequency)
End Property

