VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsIDCPitchScale"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private m_objIDCPitchScale As IDCPitchScale

Public Property Get Object() As IDCPitchScale
    Set Object = m_objIDCPitchScale
End Property

Public Property Set Object(ByRef objIDCPitchScale As IDCPitchScale)
    Set m_objIDCPitchScale = objIDCPitchScale
End Property

Public Property Get Enabled() As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCPitchScale.get_Enabled(lngReturn)
    Enabled = (lngReturn <> CLng(0))
End Property

Public Property Let Enabled(ByVal aEnabled As Boolean)
    Call m_objIDCPitchScale.set_Enabled(IIf(aEnabled, CLng(-1), CLng(0)))
End Property

Public Property Get Separate() As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCPitchScale.get_Seperate(lngReturn)
    Separate = (lngReturn <> CLng(0))
End Property

Public Property Let Separate(ByVal aSeperate As Boolean)
    Call m_objIDCPitchScale.set_Seperate(IIf(aSeperate, CLng(-1), CLng(0)))
End Property

Public Property Get Pitch(ByVal aChannel As Byte) As Integer
    Dim intReturn As Integer
    
    Call m_objIDCPitchScale.get_Pitch(aChannel, intReturn)
    Pitch = intReturn
End Property

Public Property Let Pitch(ByVal aChannel As Byte, ByVal aPitch As Integer)
    If m_objIDCPitchScale Is Nothing Then Exit Property
    Call m_objIDCPitchScale.set_Pitch(aChannel, aPitch)
End Property

Public Property Get Quality(ByVal aChannel As Byte) As Byte
    Dim bytReturn As Byte
    
    Call m_objIDCPitchScale.get_Quality(aChannel, bytReturn)
    Quality = bytReturn
End Property

Public Property Let Quality(ByVal aChannel As Byte, ByVal aQuality As Byte)
    Call m_objIDCPitchScale.set_Quality(aChannel, aQuality)
End Property

Public Property Get FFTSize() As TDCFFTSize
    Dim lngReturn As TDCFFTSize
    
    Call m_objIDCPitchScale.get_FFTSize(lngReturn)
    FFTSize = lngReturn
End Property

Public Property Let FFTSize(ByVal aFFTSize As TDCFFTSize)
    Call m_objIDCPitchScale.set_FFTSize(aFFTSize)
End Property

